// SOutlineFont.h: Schnittstelle fr die Klasse SOutlineFont.
//
// Copyright by Andr Stein
// E-Mail: andre_stein@gmx.de, andre_stein@web.de
// http://stonemaster.port5.com
//////////////////////////////////////////////////////////////////////

#ifndef SOUTLINEFONT_H
#define SOUTLINEFONT_H

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "SGLFont.h"

class SOutlineFont : public SGLFont  
{
public:
	SOutlineFont();
	virtual ~SOutlineFont();
	
	bool createFont(HDC hDC, const char* fontname, int height, float thickness, SFontAttri attributes);
	virtual void drawText(SAlign alignment, const char* string, ...);
private:
	GLYPHMETRICSFLOAT* infos;
};

#endif 